<?php

/**
 * Admin user management
 */
Route::group([
    'prefix' => config('user_management.admin_prefix', 'admin'),
    'middleware' => array_merge(
        array_wrap(config('user_management.admin-middleware')),
        ['can:manage,' . config('user_management.model')]
    )
], function () {

    Route::model('user', Drp\UserManagement\Contracts\ManagedUser::class);

    Route::resource('/users', config('user_management.controller', \Drp\UserManagement\Http\Controllers\Admin\UsersController::class), [
        'as' => 'admin',
        'except' => 'show',
    ]);

    Route::get('/admins/users/awaiting-approval', [
        'as' => 'admin.users.approve.index',
        'uses' => config('user_management.approve_controller', \Drp\UserManagement\Http\Controllers\Admin\ApproveUsersController::class) . '@index'
    ]);

    Route::get('/admins/users/awaiting-approval/{user}/approve', [
        'as' => 'admin.users.approve.update',
        'uses' => config('user_management.approve_controller', \Drp\UserManagement\Http\Controllers\Admin\ApproveUsersController::class) . '@update'
    ]);


    Route::get('/admins/generate-first-login/{user}/', [
        'as' => 'admin.firstTimeLogin.create',
        'uses' => '\Drp\UserManagement\Http\Controllers\Auth\LoginTokenController@sendLoginToken'
    ]);
});

